Bug 8431 - 'service lighttpd reload' doesn't work
: 'service lighttpd reload' doesn't work
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/lighttpd)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-11-07 18:11 by
Modified: 2006-03-04 01:03 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-11-07 18:11:11
Проявляется при смене server.document-root в конфиге - после reload отдаются
документы из старого корня. Вмеcто -HUP нужно использовать -INT с последующим
запуском, см. описание:
http://blog.lighttpd.net/articles/2005/09/02/graceful-restart
и пример:
http://trac.lighttpd.net/trac/file/branches/lighttpd-merge-1.4.x/doc/rc.lighttpd?rev=686

lighttpd-1.4.3-alt1

Кстати, вышла уже версия 1.4.6
------- Comment #1 From 2006-01-07 01:49:47 -------
fixed in 1.4.8-alt1.